gi-xlib-2.0.2: xlib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Xlib.Unions.XEvent

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype XEvent = XEvent (ManagedPtr XEvent)
- noXEvent :: Maybe XEvent

# Exported types

newtype XEvent Source #

Memory-managed wrapper type.

Constructors

XEvent (ManagedPtr XEvent) |

Instances

WrappedPtr XEvent Source # |
Instance details Defined in GI.Xlib.Unions.XEvent Methods wrappedPtrCalloc :: IO (Ptr XEvent) Source # wrappedPtrCopy :: XEvent -> IO XEvent Source # wrappedPtrFree :: Maybe (FunPtr (Ptr XEvent -> IO ())) Source #

noXEvent :: Maybe XEvent Source #

A convenience alias for `Nothing` :: `Maybe` `XEvent`.